--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: salaird
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: articles_categories; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE articles_categories (
    article_id integer,
    category_id integer,
    primary_item integer
);


--
-- Name: articles_tags; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE articles_tags (
    article_id integer,
    tag_id integer
);


--
-- Name: blacklist_patterns; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE blacklist_patterns (
    id serial NOT NULL,
    "type" character varying(15),
    pattern character varying(255)
);


--
-- Name: blogs; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE blogs (
    id serial NOT NULL,
    settings text
);


--
-- Name: categories; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE categories (
    id serial NOT NULL,
    name character varying(255),
    "position" integer DEFAULT 0 NOT NULL,
    is_primary integer,
    permalink character varying(255)
);


--
-- Name: contents; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE contents (
    id serial NOT NULL,
    title character varying(255),
    author character varying(255),
    body text,
    body_html text,
    extended text,
    excerpt text,
    keywords character varying(255),
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    extended_html text,
    user_id integer,
    permalink character varying(255),
    guid character varying(255),
    text_filter_id integer,
    whiteboard text,
    comments_count integer,
    trackbacks_count integer,
    "type" character varying(255),
    article_id integer,
    email character varying(255),
    url character varying(255),
    ip character varying(255),
    blog_name character varying(255),
    name character varying(255),
    published boolean DEFAULT true,
    allow_pings boolean,
    allow_comments boolean,
    blog_id integer
);


--
-- Name: mt_author_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_author_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_blog_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_blog_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_category_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_category_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_comment_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_comment_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_entry_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_entry_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_group_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_group_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_groupmap_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_groupmap_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_item_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_item_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_log_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_log_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_permission_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_permission_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_source_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_source_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ext_bl_update_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ext_bl_update_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_fileinfo_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_fileinfo_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_ipbanlist_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_ipbanlist_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_log_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_log_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_notification_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_notification_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_permission_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_permission_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_placement_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_placement_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_plugindata_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_plugindata_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_tbping_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_tbping_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_template_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_template_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_templatemap_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_templatemap_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: mt_trackback_id; Type: SEQUENCE; Schema: public; Owner: typo
--

CREATE SEQUENCE mt_trackback_id
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE notifications (
    notify_user_id integer,
    notify_content_id integer,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);


--
-- Name: page_caches; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE page_caches (
    id serial NOT NULL,
    name character varying(255)
);


--
-- Name: pings; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE pings (
    id serial NOT NULL,
    article_id integer NOT NULL,
    url character varying(255),
    created_at timestamp without time zone DEFAULT now()
);


--
-- Name: redirects; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE redirects (
    id serial NOT NULL,
    from_path character varying(255),
    to_path character varying(255)
);


--
-- Name: resources; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE resources (
    id serial NOT NULL,
    size integer,
    filename character varying(255),
    mime character varying(255),
    created_at timestamp without time zone DEFAULT now(),
    updated_at timestamp without time zone DEFAULT now(),
    article_id integer,
    itunes_metadata boolean,
    itunes_author character varying(255),
    itunes_subtitle character varying(255),
    itunes_duration integer,
    itunes_summary text,
    itunes_keywords character varying(255),
    itunes_category character varying(255),
    itunes_explicit boolean
);


--
-- Name: schema_info; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE schema_info (
    version integer
);


--
-- Name: sessions; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE sessions (
    id serial NOT NULL,
    sessid character varying(255),
    data text,
    created_at timestamp without time zone DEFAULT now(),
    updated_at timestamp without time zone DEFAULT now()
);


--
-- Name: sidebars; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE sidebars (
    id serial NOT NULL,
    active_position integer,
    controller character varying(255),
    staged_position integer,
    active_config character varying,
    staged_config character varying
);


--
-- Name: tags; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE tags (
    id serial NOT NULL,
    name character varying(255),
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    display_name character varying(255)
);


--
-- Name: text_filters; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE text_filters (
    id serial NOT NULL,
    name character varying(255),
    description character varying(255),
    markup character varying(255),
    filters text,
    params text
);


--
-- Name: users; Type: TABLE; Schema: public; Owner: typo; Tablespace: 
--

CREATE TABLE users (
    id serial NOT NULL,
    "login" character varying(40),
    "password" character varying(40),
    email text,
    name text,
    notify_via_email boolean,
    notify_on_new_articles boolean,
    notify_on_comments boolean,
    notify_watch_my_articles boolean,
    notify_via_jabber boolean,
    jabber character varying(255)
);


--
-- Name: blacklist_patterns_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY blacklist_patterns
    ADD CONSTRAINT blacklist_patterns_pkey PRIMARY KEY (id);


--
-- Name: blogs_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY blogs
    ADD CONSTRAINT blogs_pkey PRIMARY KEY (id);


--
-- Name: categories_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY categories
    ADD CONSTRAINT categories_pkey PRIMARY KEY (id);


--
-- Name: contents_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY contents
    ADD CONSTRAINT contents_pkey PRIMARY KEY (id);


--
-- Name: page_caches_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY page_caches
    ADD CONSTRAINT page_caches_pkey PRIMARY KEY (id);


--
-- Name: pings_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY pings
    ADD CONSTRAINT pings_pkey PRIMARY KEY (id);


--
-- Name: redirects_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY redirects
    ADD CONSTRAINT redirects_pkey PRIMARY KEY (id);


--
-- Name: resources_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY resources
    ADD CONSTRAINT resources_pkey PRIMARY KEY (id);


--
-- Name: sessions_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY sessions
    ADD CONSTRAINT sessions_pkey PRIMARY KEY (id);


--
-- Name: sidebars_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY sidebars
    ADD CONSTRAINT sidebars_pkey PRIMARY KEY (id);


--
-- Name: tags_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY tags
    ADD CONSTRAINT tags_pkey PRIMARY KEY (id);


--
-- Name: text_filters_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY text_filters
    ADD CONSTRAINT text_filters_pkey PRIMARY KEY (id);


--
-- Name: users_login_key; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_login_key UNIQUE ("login");


--
-- Name: users_pkey; Type: CONSTRAINT; Schema: public; Owner: typo; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- Name: categories_permalink_index; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX categories_permalink_index ON categories USING btree (permalink);


--
-- Name: contents_article_id_index; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX contents_article_id_index ON contents USING btree (article_id);


--
-- Name: contents_blog_id_index; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX contents_blog_id_index ON contents USING btree (blog_id);


--
-- Name: idx_blacklist_pattern; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX idx_blacklist_pattern ON blacklist_patterns USING btree (pattern);


--
-- Name: idx_pings_article_id; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX idx_pings_article_id ON pings USING btree (article_id);


--
-- Name: page_caches_name_index; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX page_caches_name_index ON page_caches USING btree (name);


--
-- Name: sessions_sessid_index; Type: INDEX; Schema: public; Owner: typo; Tablespace: 
--

CREATE INDEX sessions_sessid_index ON sessions USING btree (sessid);


--
-- PostgreSQL database dump complete
--

INSERT INTO schema_info (version) VALUES (40)